Bug 477786 - HotSSH BASH profile script breaks SSH-via SSH
HotSSH BASH profile script breaks SSH-via SSH
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hotssh (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 13:06 EST by Gavin Brown
Modified: 2009-12-18 02:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:23:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Brown 2008-12-23 13:06:56 EST
Description of problem:

The HotSSH package installs a script in /etc/profile.d that causes the 'ssh' command to break when not run within an X11 environment.

Version-Release number of selected component (if applicable):

0.2.5-1

How reproducible:

Every time

Steps to Reproduce:

host1 is a remote host, host2 is a host with HotSSH installed and running an SSH server.

1. from host1, establish an ssh session to host2
2. now run 'ssh user@host1' from the shell on host2
  
Actual results:

It seems as though SSH detaches from the terminal and runs in the background: the command prompt of host2 appears when it should be that of host1. Also, keyboard input seems to be directed to host1 or host2 at random.

Expected results:

I should get a basic shell on host1 until I close the connection.

Additional info:

The alias is this:

alias ssh='hotssh --bg'

I guess that it's the --bg that's the culprit. Unsetting the alias solved this problem for me. I would suggest adding an additional test for $DISPLAY so that the alias is only set when there's an X11 display available.
Comment 1 Colin Walters 2008-12-23 14:43:59 EST
This should be fixed in 0.2.6.

http://svn.gnome.org/viewvc/hotssh?view=revision&revision=61

This fix is in updates-testing for Fedora 10.  I'll push it soon, if you can confirm the fix:

https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11554
Comment 2 Gavin Brown 2008-12-24 05:22:29 EST
I just installed 0.2.6-1 from update-testing and can confirm that the bug is fixed.

Thanks.
Comment 3 Bug Zapper 2009-11-18 05:33:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:23:00 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.